[**Headlamp Sealed Secrets API v0.2.0**](../../../README.md)

***

[Headlamp Sealed Secrets API](../../../README.md) / [lib/retry](../README.md) / isRetryableHttpError

# Function: isRetryableHttpError()

> **isRetryableHttpError**(`error`): `boolean`

Defined in: [src/lib/retry.ts:165](https://github.com/privilegedescalation/headlamp-sealed-secrets-plugin/blob/bdf19cd3bf5a2d679b7ba949108fe9df1843c5f4/headlamp-sealed-secrets/src/lib/retry.ts#L165)

Predicate to check if HTTP error is retryable (5xx, 429, 408)

## Parameters

### error

`Error`

Error to check

## Returns

`boolean`

true if HTTP status is retryable
